## nagios-plugins-contrib 21.20170222~bpo7+1

=== debian/changelog ===
nagios-plugins-contrib (21.20170222~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

  * [69e563a] Add gbp.conf
  * [5fa6fd4] Update changelog for jessie backports.
  * [e1ce662] Build jessie-backports only on travis.
  * [8c6eb75] Fix backports handling in .travis.yml
  * [b30847e] Revert "Remove check_shutdown."
              Still works in wheezy.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 09 Mar 2017 12:08:15 +0100

nagios-plugins-contrib (21.20170222) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [5091e4a] Disable EPN for check_raid.
    Thanks to Daniel Pocock (Closes: #851351)
  * [5bdff51] check_raid: fix failed mdadm hotspare detection.
    Thanks to Sascha Steinbiss (Closes: #855054)
  * [5232be1] percona-nagios-plugins: fix bashism.
    Thanks to Raphael Geissert (Closes: #772278)

  [ Stefan Schörghofer ]
  * [6495faa] Fixes check_ssl_cert problems with Openssl > 1.1.x
    (Closes: #855253)

  [ Bernd Zeimetz ]
  * [bf4fb49] Add autopkgtest for check_ssl_cert.
  * [9aacdb6] Auto update of debian/tests/control
  * [0d7ac29] Fix check_cert_expire_dirs to make it work at all.
    check_cert_expire_dirs was not able to find
    check_cert_expire. Fixing that. (Closes: #855155)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 22 Feb 2017 14:32:22 +0100

## nagios-plugins-contrib 21.20170222~bpo8+1

=== check_ajp/Makefile ===
PLUGIN := check_ajp

include ../common.mk

=== debian/changelog ===
nagios-plugins-contrib (21.20170222~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

  * [69e563a] Add gbp.conf
  * [5fa6fd4] Update changelog for jessie backports.
  * [e1ce662] Build jessie-backports only on travis.
  * [8c6eb75] Fix backports handling in .travis.yml
  * [87b3fd9] Revert "Remove check_shutdown."
              Should work in jessie, leave it in there for backports.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Mar 2017 11:26:50 +0100

=== debian/control ===
Source: nagios-plugins-contrib
Section: net
Priority: extra
Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Petter Reinholdtsen <pere@hungry.com>
Build-Depends: debhelper (>= 8.0.0),
               dh-autoreconf,
               python,
               python-debian,
               quilt (>= 0.46-7),
               autotools-dev, flex, libmemcached-dev [!hurd-i386], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-nagios-plugins-contrib.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-nagios-plugins-contrib.git

Package: nagios-plugins-contrib
Architecture: any
Depends: ${misc:Depends}
Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libxml-simple-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, procps, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils,
            ${perl:Depends},
            ${python:Depends},
            ${shlibs:Depends}
Suggests: backuppc, perl-doc, libsys-virt-perl, cciss-vol-status (>= 1.10), mpt-status, smstools (>= 3~), expect, nagios-plugin-check-multi, moreutils, percona-toolkit, python2.7, python-pymongo
Enhances: nagios-plugins, nagios-plugins-basic, nagios-plugins-standard
Description: Plugins for nagios compatible monitoring systems
 This package provides various plugins for Nagios compatible monitoring
 systems like Nagios and Icinga.
 It contains the following plugins:
 .
   * check_ajp (1): plugin to monitor the AJP ping response time
     Should work with all application servers (Tomcat, JBoss,....)
     which provide an AJPv13 connector.
   * check_backuppc (1.1.0): plugin for checking on the status of
     BackupPC backups
   * check_bgpstate (1.0): plugin to check all BGP session on Cisco routers
   * check_checksums (20130611): plugin to verify file checksums
     against (local, not 100% secure) lists.
     Supports md5 sha1 sha224 sha256 sha384 sha512 checksums.
   * check_clamav (1.2): plugin to check for clamav signature freshness
     This script is used to compare the version and signature
     level of the currently running clamd daemon with the latest
     available versions listed in the TXT record for
     current.cvd.clamav.net.
   * check_cups (0.2): plugin to check queues on a remote CUPS server
     This plugin is monitoring of queues on a remote CUPS server,
     which means that it doesn't need to be installed on the print
     server and run via NRPE.
   * check_drbd (0.5.3): plugin to check DRBD device states
     This plugin is for checking DRBD device states. It parses the
     /proc/drbd device and analyses the output.
   * check_email_delivery (0.7.1b): plugin to monitor email delivery
     Some typical uses of this plugin include:
       - check SMTP server
       - check messages and quota on IMAP server
       - check email delivery loop
       - check auto-responder function
       - keep an eye on email lag
       - monitor automated mailboxes
       - check email-to-FTP or other special email gateways
   * check_etc_hosts (?): plugin to check /etc/hosts for DNS consistency
     Check /etc/hosts, and make sure the content matches the information
     in DNS.  Lookup IP, and check if the names listed in /etc/hosts
     maches the one in DNS.  It will ignore entries with '# NAGIOSIGNORE'
     at the end.
   * check_etc_resolv: plugin to check /etc/resolv.conf
     Check /etc/resolv.conf, and make sure the name servers listed are
     working.  It will ignore entries with '# NAGIOSIGNORE' at the end.
   * check_graphite: Plugin to monitor graphite metrics
   * check_haproxy (rev135): plugin to check the HAProxy statistics url
   * check_haproxy_stats (1.0.1): check haproxy via admin socket
     Different from check_haproxy this plugin is able to check
     haproxy via the unix admin socket.
   * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
     HP blade enclosures via SNMP.
     The plugin is only tested with the c7000 enclosure.
   * check_hpasm (4.7.5.2): plugin to check the hardware health of
     HP Proliant Servers
     It either uses snmp or - if installed - the hpasm package locally.
     The plugin checks the health of
       * Processors
       * Power supplies
       * Memory modules
       * Fans
       * CPU- and board-temperatures
       * Raids
     and alerts you if one of these components is faulty or operates
     outside its normal parameters.
   * check_httpd_status (rev153): plugin checking Apache or Lighthttpd
     server-status page (using mod_status)
   * check_ipmi_sensor (3.12): IPMI Sensor Monitoring Plugin
     Plugin to monitor the hardware status (fan speed, temperaturs,
     voltages, power usage, ...) of a server using IPMI.
   * check_libs (0.2015012901 ): plugin to report the usage of no longer existing
     libraries by running processes
   * check_libvirt (v7.0.3): monitor virtualization solutions using libvirt
   * check_lm_sensors (4.1.1): plugin to monitor hardware sensors
     and disk temperatures
   * check_memcached (1.3): plugin to check memcached instances
     It will give a critical message if a partiular memcached host is
     inaccessible and generate a warning if the hit/miss ratio falls
     below a given threshold or the number of evictions exceeds a given
     limit.
     Hit/miss and evictions are measured over a 30 minute interval,
     using a memcached object to store the earlier statistics.
   * check_memory (1.0.1): plugin to check for free memory
     This plugin excludes the system cache and buffer, because
     on some system with very stable memory usage it is perfectly
     normal for system cache to fill in all available memory.
   * check_mongodb (7248618): Plugin script to monitor your MongoDB server(s)
   * check_multipath (0.4.7): plugin to monitor the number of available and
     failed paths of multipath devices
   * check_mysql_health (2.2.2): plugin to check various parameters of a
     MySQL database
   * check_nfsmounts: checks whether there are stale NFS mounts on the host
   * check_printer: plugin to check printer supply levels using SNMP
     It outputs performance data for all supplies
     found, for example toner and drum.
   * check_raid (4.0.5): plugin to check sw/hw RAID status
     The plugin looks for any known types of RAID configurations,
     and checks them all.
     .
     Supports:
     - Adaptec AAC RAID via aaccli or afacli or arcconf
     - AIX software RAID via lsvg
     - HP/Compaq Smart Array via cciss_vol_status (hpsa supported too)
     - HP Smart Array Controllers and MSA Controllers via hpacucli
     - HP Smart Array (MSA1500) via serial line
     - Linux 3ware SATA RAID via tw_cli
     - Linux Device Mapper RAID via dmraid
     - Linux DPT/I2O hardware RAID controllers via /proc/scsi/dpt_i2o
     - Linux GDTH hardware RAID controllers via /proc/scsi/gdth
     - Linux LSI MegaRaid hardware RAID via CmdTool2
     - Linux LSI MegaRaid hardware RAID via megarc
     - Linux LSI MegaRaid hardware RAID via /proc/megaraid
     - Linux MegaIDE hardware RAID controllers via /proc/megaide
     - Linux MPT hardware RAID via mpt-status
     - Linux software RAID (md) via /proc/mdstat
     - LSI Logic MegaRAID SAS series via MegaCli
     - LSI MegaRaid via lsraid
     - Serveraid IPS via ipssend
     - Solaris software RAID via metastat
     - Areca SATA RAID Support via cli64/cli32
     - Detecting SCSI devices or hosts with lsscsi
   * check_rbl (1.3.8): plugin to check if a server is blacklisted
   * check_redis (0.73): Redis Server check plugin
     This plugin checks Redis NoSQL database status variables,
     measures its response time and if specified allows one to set thresholds
     on one or more key data. You can set thresholds for data in stats
     variables and some of them are also conveniently available as long options
     with special threshold syntax. Plugin also calculates statistics such as
     Hitrate (calculated as rate of change of hits/misses) and memory use and
     can check replication delay.
   * check_shutdown (0.0.20110203): plugin to detect shutdown in progress
     Report when a reboot is in progress.  This is useful to detect if
     reboot-when-idle or similar have been used on a server.
   * check_smstools: plugin to check GSM Modems using smstools
     check_smstools is a plugin to monitor a GSM modem
     signal quality and registration status with smstools.
   * check_snmp_environment (0.7): plugin to check various hardware statuses
     Using snmp the plugin is able to retrieve Fan, power-supply,
     voltage, temperature, card and module status and various other
     information from Cisco, Nokia, Blue Coat, IronPort,
     Foundry Network, Linux (using lm-sensors), Extreme Networks,
     Juniper Networks, HP ProCurve, Netscreen, Citrix NetScaler
     and Transmode Systems hardware.
   * check_snmp_time (1.1): plugin to check the time on a server using SNMP
     This plugin queries the remote systems time through SNMP and compares
     it against the local time on the Nagios server. This identifies systems
     with no correct time set and sends alarms if the time is off to far.
     HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
     SNMP translation needs to be switched off and to be converted the
     received SNMP data into readable strings.
   * check_ssl_cert (1.37.0): plugin to check the CA and validity of an
     X.509 certificate
   * check_uptime (0.521): check_uptime returns uptime of a system
     in text (readable) format as well as in minutes for performance graphing.
     The plugin can either run on a local unix system (using 'uptime' command)
     or check remote system by SNMP. Also it is able to report one CRITICAL
     or WARNING alert if system has been rebooted since last check.
   * check_v46 (2013-08-26T07:33:11Z): ipv4/ipv6 Nagios plugin wrapper
     Nagios plugin wrapper for running the actual plugin for both / either of
     IPv6 and/or IPv4.  The worst result of the actual plugin runs will be
     the wrapper return value, that is, result will be OK only if all checks
     returned OK.  Compatible with any plugin with standard command line options
     -6/-4.
   * check_varnish (258c486): plugin to monitor varnish instances
   * check_webinject (1.80): plugin for testing web services
     It uses the WebInject Perl module for automated testing of
     web applications and web services. It can be used to check
     individual system components that have HTTP interfaces
     (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
     XML/SOAP Web Services, REST, etc).
   * check_whois (1.21): plugin to check for the expiration of a domain.
     The plugin may not yet work with all registrars, since their
     output formats differ or there is no expiration date in the
     whois output.
   * check_zone_auth (1.13): plugin to ensure that the authoritative nameservers
     for a given zone remain in sync.
   * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
     signatures in dnssec-enabled zones.
   * dsa (1c0b9ec): plugins from the Debian System Administrators
     nagios plugins repository.
     * check_cert_expire: check for certificate expiration

## nagios-plugins-contrib 21.20170222

=== check_libs/Makefile ===
#!/usr/bin/make -f

INIFILES = check-libs.conf
PLUGIN = check_libs
CLEANFILES = $(INIFILES) $(PLUGIN)
CRONJOBS:= update-check_libs-status

include ../common.mk

check_libs:
	cp nagios-check-libs $@
	chmod 755 $@

check-libs.conf:
	cp nagios-check-libs.conf $@

=== check_varnish/Makefile ===
PLUGIN := check_varnish
CLEANFILES := check_varnish

include ../common.mk

check_varnish:
	set -e; for i in guess sub; do if [ ! -e src/config.$$i.bak ]; then cp src/config.$$i src/config.$$i.bak; fi; done
	cp /usr/share/misc/config.* src
	cd src && ./configure --prefix=/usr
	make -C src
	cp src/check_varnish $@

clean::
	[ ! -f src/Makefile ] || make -C src distclean
	set -e; for i in guess sub; do if [ -e src/config.$$i.bak ]; then mv src/config.$$i.bak src/config.$$i; fi; done

=== check_backuppc/check_backuppc-1.1.0/Makefile ===
ifndef PREFIX
	PREFIX=/usr/local
endif
ifndef NAGIOS_LIB
	NAGIOS_LIB=/usr/lib/nagios/plugins
endif
ifndef BACKUPPC_LIB
	BACKUPPC_LIB=/usr/share/backuppc/lib
endif

install:
	sed -e "s|NAGIOS_LIB|$(NAGIOS_LIB)|g" -e \
		"s|BACKUPPC_LIB|${BACKUPPC_LIB}|g" check_backuppc \
		> check_backuppc.processed
	install -d ${PREFIX}/lib/nagios/plugins
	install -m 755 check_backuppc.processed ${PREFIX}/lib/nagios/plugins
	mv ${PREFIX}/lib/nagios/plugins/check_backuppc.processed \
		${PREFIX}/lib/nagios/plugins/check_backuppc
	install -m 644 check_backuppc.8 ${PREFIX}/man/man8

uninstall:
	rm -f ${PREFIX}/lib/nagios/plugins/check_backuppc
	rm -f ${PREFIX}/man/man8/check_backuppc.8

=== check_ssl_cert/check_ssl_cert-1.37/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test

dist: version_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	VERSION=`cat VERSION`
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	echo "Version check: OK"

clean:
	rm -f *~
	rm -rf rpmroot

test:
	( cd test && ./unit_tests.sh )

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec

.PHONY: install clean test rpm

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Package: nagios-plugins-contrib
 Architecture: any
 Depends: ${misc:Depends}
-Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libxml-simple-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, procps, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils,
+Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libxml-simple-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils,
             ${perl:Depends},
             ${python:Depends},
             ${shlibs:Depends}
@@ -150,9 +150,6 @@
      with special threshold syntax. Plugin also calculates statistics such as
      Hitrate (calculated as rate of change of hits/misses) and memory use and
      can check replication delay.
-   * check_shutdown (0.0.20110203): plugin to detect shutdown in progress
-     Report when a reboot is in progress.  This is useful to detect if
-     reboot-when-idle or similar have been used on a server.
    * check_smstools: plugin to check GSM Modems using smstools
      check_smstools is a plugin to monitor a GSM modem
      signal quality and registration status with smstools.
@@ -201,3 +198,7 @@
    * dsa (1c0b9ec): plugins from the Debian System Administrators
      nagios plugins repository.
      * check_cert_expire: check for certificate expiration
+       using openssl on the certificate file
+     * check_cert_expire_dir: checks if any of the *.crt files in
+       a directory on disk will expire soon
+     * check_dnssec_delegation: check for correct DNSSEC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

PKGNAME = nagios-plugins-contrib
PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -type d -printf '%f\n' | sort)

%:
	dh $@ --with quilt,python2

override_dh_auto_build:
	dh_auto_build
	$(PACKAGING_HELPER) --generate-readme

PACKAGING_HELPER = /usr/bin/python $(CURDIR)/debian/packaging-helper.py


clean: debian/copyright debian/control debian/tests/control
	dh $@ --with quilt,python2
	rm -f debian/README.Debian.plugins

CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
TESTS_FILES := $(wildcard */tests)
debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)
	$(PACKAGING_HELPER) --copyright
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/control: debian/control.in debian/packaging-helper.py $(CONTROL_FILES)
	$(PACKAGING_HELPER) --control
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/tests/control: debian/packaging-helper.py $(TESTS_FILES)
	$(PACKAGING_HELPER) --tests
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi


watch:
	@$(PACKAGING_HELPER) --watch

.PHONY: watch

=== debian/tests/control ===
Test-Command: mkdir -p /etc/nagios/ && sha256sum /bin/true > /etc/nagios/check_checksums.sha256 && /usr/lib/nagios/plugins/check_checksums
Restrictions: needs-root, breaks-testbed

Depends: cups, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-cups-perl, @
Test-Command: /usr/lib/nagios/plugins/check_cups -H localhost
Restrictions: needs-root, isolation-container

Depends: libnet-dns-perl, @
Test-Command: echo "127.0.0.1 localhost" > /etc/hosts && /usr/lib/nagios/plugins/check_etc_hosts
Restrictions: needs-root, breaks-testbed

Test-Command: /usr/lib/nagios/plugins/check_etc_resolv
Depends: bind9-host | knot-host, @

Depends: apache2, liblocale-gettext-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, liblwp-useragent-determined-perl, @
Test-Command: /usr/lib/nagios/plugins/check_httpd_status -H localhost
Restrictions: needs-root, allow-stderr, isolation-container

Depends: lsof, libyaml-syck-perl, @
Test-Command: /usr/lib/nagios/plugins/check_libs

Depends: openssl, curl, file, @
Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H www.debian.org

Depends: libmonitoring-plugin-perl | libnagios-plugin-perl, @
Test-Command: /usr/lib/nagios/plugins/check_uptime -f

Depends: varnish, systemd, dbus, @
Restrictions: needs-root, isolation-container
Tests: test_check_varnish

## nagios-plugins-contrib 22.20181105+1

=== check_ssl_cert/check_ssl_cert-1.73.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test
YEAR=`date +"%Y"`

dist: version_check copyright_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	echo "Version check: OK"

copyright_check:
	grep -q "(c) Matteo Corti, 2007-$(YEAR)" README.md
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti" COPYRIGHT
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti <matteo@corti.li>" $(PLUGIN)
	echo "Copyright year check: OK"

clean:
	rm -f *~
	rm -rf rpmroot

test: dist
	( export SHUNIT2="$$(pwd)/shunit2/shunit2" && cd test && ./unit_tests.sh )

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec

.PHONY: install clean test rpm

=== debian/changelog ===
nagios-plugins-contrib (22.20181105+1) unstable; urgency=medium

  * [f576fb8] Also remove varnish patches

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 05 Nov 2018 01:02:43 +0100

nagios-plugins-contrib (22.20181105) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * Bump Standards-Version to 4.2.1, no changes.

  [ Jan Wagner ]
  * [65a0937] check_ssl_cert: Updating to 1.73.0
  * [eff917b] Update check_hpasm to 4.8
  * [c7f8ffc] travis-ci: Allow build failing on testing

  [ Bernd Zeimetz ]
  * [47669a6] Remove check_varnish for now.
    Does not work with varnish >= 5.2
    https://github.com/varnish/varnish-nagios/issues/15
    Thanks to Adrian Bunk (Closes: #878966)
  * [65f3186] Auto update of debian/copyright
  * [278c1ee] Auto update of debian/tests/control

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 05 Nov 2018 00:45:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python-debian,
                quilt (>= 0.46-7),
                autotools-dev, flex, libmemcached-dev [!hurd-i386], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-nagios-plugins-contrib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-nagios-plugins-contrib.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib.git
+Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib
 
 Package: nagios-plugins-contrib
 Architecture: any
@@ -202,3 +202,4 @@
      * check_cert_expire_dir: checks if any of the *.crt files in
        a directory on disk will expire soon
      * check_dnssec_delegation: check for correct DNSSEC
+       delegation

## nagios-plugins-contrib 23.20190206~bpo9+1

=== debian/changelog ===
nagios-plugins-contrib (23.20190206~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jan Wagner <waja@cyconet.org>  Tue, 19 Feb 2019 14:03:58 +0100

nagios-plugins-contrib (23.20190206) unstable; urgency=medium

  * [314b5a6] Add patch check_uptime/missing_backslash, thanks Sven Wegener.
    (Closes: #882982)
  * [98f42fd] dsa/*: Update to latest upstream
  * [00a3557] p/dsa/status_directory: Refresh against latest upstream
  * [f96eeae] check_ssl_cert: Update to 1.80.1
  * [b0b3391] d/control.in: Update Vcs headers
  * [f4a960f] d/control.in: Bump Standards-Version to 4.3.0, no changes needed
  * [cec13f3] Revert "Remove check_varnish for now."
  * [5388c58] Adding d/p/check_varnish/fix_for_v56,
    thanks Jean-Louis Dupond <jean-louis@dupond.be>
  * [1abad16] d/copyright: Auto update
  * [e30d668] d/tests/control: Auto update
  * [37ee667] check_varnish/control: Adding automake-1.15 as build dep
  * [2491dc7] d/control: Auto update
  * [c3aa205] check_ipmi_sensor: Update to 3.13
  * [67f7f48] Adding d/p/check_haproxy_stats/interpreter, fixing interpreter
  * [0d80aa9] check_raid/control: Fixing invalid control statement
  * [1dfe25a] check_raid: Update to 4.0.9
  * [23a69f5] d/control: Auto update
  * [bc48c7b] d/control.in: Using priority optional
  * [5bb1937] d/control: Auto update
  * [bc2cc30] check_mongo: Update to 46d27ab
  * [8375691] dsa/*: Update to latest upstream
  * [7bb2be2] dsa/checks/dsa-check-cert-expire-dir: Fix permissions
  * [71b0bfc] check_mongodb: Updating to latest version b33e763
  * [4fdfeb3] check_ssl_cert: Update to 1.81.0
  * [cf52b63] check_varnish/control: Update to latest upstream commit,
    no code changes
  * [679d52b] d/control: Auto update

 -- Jan Wagner <waja@cyconet.org>  Wed, 06 Feb 2019 13:45:06 +0100

## nagios-plugins-contrib 23.20190206

=== check_ssl_cert/check_ssl_cert-1.81.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test
YEAR=`date +"%Y"`

dist: version_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	echo "Version check: OK"

clean:
	rm -f *~
	rm -rf rpmroot

test: dist
	( export SHUNIT2="$$(pwd)/shunit2/shunit2" && cd test && ./unit_tests.sh )

copyright_check:
	grep -q "(c) Matteo Corti, 2007-$(YEAR)" README.md
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti" COPYRIGHT
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti <matteo@corti.li>" $(PLUGIN)
	echo "Copyright year check: OK"

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec



.PHONY: install clean test rpm

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: nagios-plugins-contrib
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Petter Reinholdtsen <pere@hungry.com>
+Uploaders: Bernd Zeimetz <bzed@debian.org>, Jan Wagner <waja@cyconet.org>, Stefan Schoerghofer <amd1212@4md.gr>, Petter Reinholdtsen <pere@hungry.com>, Leo Antunes <leo@costela.net>
 Build-Depends: debhelper (>= 8.0.0),
                dh-autoreconf,
                python,
                python-debian,
                quilt (>= 0.46-7),
-               autotools-dev, flex, libmemcached-dev [!hurd-i386], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config
-Standards-Version: 4.2.1
+               autotools-dev, flex, libmemcached-dev [!hurd-i386], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config, automake-1.15
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib.git
 Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib
 
 Package: nagios-plugins-contrib
 Architecture: any
 Depends: ${misc:Depends}
-Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libxml-simple-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils,
+Recommends: libsocket-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-snmp-perl, whois, nagios-plugins-basic, libnet-dns-perl, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl (>= 0.31), libnet-cups-perl, debsecan, libio-socket-ssl-perl, libmail-imapclient-perl, libnet-smtp-tls-perl, libnet-smtp-ssl-perl, libnet-ssleay-perl, libnet-smtpauth-perl, bind9-host | knot-host, python, liblocale-gettext-perl, liblwp-useragent-determined-perl, snmp, freeipmi-tools, libipc-run-perl, lsof, libyaml-syck-perl, libxml-simple-perl, python-pymongo, libdbd-mysql-perl, libreadonly-perl, libdata-validate-domain-perl, libdata-validate-ip-perl, libredis-perl, libnet-snmp-perl (>= 5), libtimedate-perl, curl, file, openssl, libwebinject-perl, libnet-dns-sec-perl, ruby | ruby-interpreter, binutils,
             ${perl:Depends},
             ${python:Depends},
             ${shlibs:Depends}
@@ -45,6 +45,7 @@
      This plugin is monitoring of queues on a remote CUPS server,
      which means that it doesn't need to be installed on the print
      server and run via NRPE.
+   * check_debsecan (1.0.0): plugin to check the Debian CVE lists against your installed packages
    * check_drbd (0.5.3): plugin to check DRBD device states
      This plugin is for checking DRBD device states. It parses the
      /proc/drbd device and analyses the output.
@@ -73,7 +74,7 @@
    * check_hp_bladechassis (1.0.1): plugin to check the hardware health of
      HP blade enclosures via SNMP.
      The plugin is only tested with the c7000 enclosure.
-   * check_hpasm (4.7.5.2): plugin to check the hardware health of
+   * check_hpasm (4.8): plugin to check the hardware health of
      HP Proliant Servers
      It either uses snmp or - if installed - the hpasm package locally.
      The plugin checks the health of
@@ -85,13 +86,15 @@
        * Raids
      and alerts you if one of these components is faulty or operates
      outside its normal parameters.
-   * check_httpd_status (rev153): plugin checking Apache or Lighthttpd
+   * check_httpd_status (rev204): plugin checking Apache or Lighthttpd
      server-status page (using mod_status)
-   * check_ipmi_sensor (3.12): IPMI Sensor Monitoring Plugin
+   * check_ipmi_sensor (3.13): IPMI Sensor Monitoring Plugin
      Plugin to monitor the hardware status (fan speed, temperaturs,
      voltages, power usage, ...) of a server using IPMI.
    * check_libs (0.2015012901 ): plugin to report the usage of no longer existing
      libraries by running processes
+   * check_libs_ng (0.1.0): plugin to report processes using outdated libraries
+      depents on kernel features present in kernels newer than 3.3
    * check_libvirt (v7.0.3): monitor virtualization solutions using libvirt
    * check_lm_sensors (4.1.1): plugin to monitor hardware sensors
      and disk temperatures
@@ -106,7 +109,7 @@
      This plugin excludes the system cache and buffer, because
      on some system with very stable memory usage it is perfectly
      normal for system cache to fill in all available memory.
-   * check_mongodb (7248618): Plugin script to monitor your MongoDB server(s)
+   * check_mongodb (b33e763): Plugin script to monitor your MongoDB server(s)
    * check_multipath (0.4.7): plugin to monitor the number of available and
      failed paths of multipath devices
    * check_mysql_health (2.2.2): plugin to check various parameters of a
@@ -115,10 +118,9 @@
    * check_printer: plugin to check printer supply levels using SNMP
      It outputs performance data for all supplies
      found, for example toner and drum.
-   * check_raid (4.0.5): plugin to check sw/hw RAID status
+   * check_raid (4.0.9): plugin to check sw/hw RAID status
      The plugin looks for any known types of RAID configurations,
      and checks them all.
-     .
      Supports:
      - Adaptec AAC RAID via aaccli or afacli or arcconf
      - AIX software RAID via lsvg
@@ -141,7 +143,7 @@
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
      - Detecting SCSI devices or hosts with lsscsi
-   * check_rbl (1.3.8): plugin to check if a server is blacklisted
+   * check_rbl (1.4.3): plugin to check if a server is blacklisted
    * check_redis (0.73): Redis Server check plugin
      This plugin checks Redis NoSQL database status variables,
      measures its response time and if specified allows one to set thresholds
@@ -167,7 +169,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (1.37.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.81.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.
@@ -180,14 +182,14 @@
      the wrapper return value, that is, result will be OK only if all checks
      returned OK.  Compatible with any plugin with standard command line options
      -6/-4.
-   * check_varnish (258c486): plugin to monitor varnish instances
+   * check_varnish (672523d): plugin to monitor varnish instances
    * check_webinject (1.80): plugin for testing web services
      It uses the WebInject Perl module for automated testing of
      web applications and web services. It can be used to check
      individual system components that have HTTP interfaces
      (JSP, ASP, CGI, PHP, AJAX, Servlets, HTML Forms,
      XML/SOAP Web Services, REST, etc).
-   * check_whois (1.21): plugin to check for the expiration of a domain.
+   * check_whois (1.24): plugin to check for the expiration of a domain.
      The plugin may not yet work with all registrars, since their
      output formats differ or there is no expiration date in the
      whois output.
@@ -195,11 +197,3 @@
      for a given zone remain in sync.
    * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
      signatures in dnssec-enabled zones.
-   * dsa (1c0b9ec): plugins from the Debian System Administrators
-     nagios plugins repository.
-     * check_cert_expire: check for certificate expiration
-       using openssl on the certificate file
-     * check_cert_expire_dir: checks if any of the *.crt files in
-       a directory on disk will expire soon
-     * check_dnssec_delegation: check for correct DNSSEC
-       delegation

## nagios-plugins-contrib 24.20190301~bpo9+1

=== debian/changelog ===
nagios-plugins-contrib (24.20190301~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Jan Wagner <waja@cyconet.org>  Fri, 01 Mar 2019 14:29:52 +0100

nagios-plugins-contrib (24.20190301) unstable; urgency=medium

  * [94e6962] check_rbl: Update to 1.4.4
  * [26788d0] d/patches/check_rbl/additional_rbls:
    Refresh against latest ustream
  * [1ca8c61] d/patches/check_rbl/additional_rbls:
    Remove unreliable uribl.com lists
  * [c3d64f4] check_ssl_cert: Update to 1.83.0
  * [5d7462d] d/control: Auto update

 -- Jan Wagner <waja@cyconet.org>  Fri, 01 Mar 2019 14:22:08 +0100

## nagios-plugins-contrib 24.20190301

=== check_email_delivery/Makefile ===
#/usr/bin/make -f

PLUGIN = $(wildcard src/check_*) $(wildcard src/imap_ssl_*)
MANPAGES = $(shell find src/docs -regex '[^ ]*.pod' -printf '%f\n' | sed 's,pod$$,7,')
DOCFILES = src/docs/*.html src/docs/*.txt src/README.txt
CLEANFILES = $(MANPAGES)

include ../common.mk


%.7: src/docs/%.pod
	pod2man -s 7 $< > $@

=== check_graphite/Makefile ===
PLUGIN := check_graphite
CLEANFILES := check_graphite
DOCFILES := README.md

include ../common.mk

check_graphite:
	cp $@.py $@
	chmod 755 $@

=== check_hpasm/Makefile ===
PLUGIN := check_hpasm
CLEANFILES := check_hpasm

include ../common.mk

check_hpasm:
	set -e; for i in guess sub; do if [ ! -e src/config.$$i.bak ]; then cp src/config.$$i src/config.$$i.bak; fi; done
	cp /usr/share/misc/config.* src
	cd src && ./configure --prefix=/usr --enable-perfdata --enable-extendedinfo --with-nagios-user=nagios --with-nagios-group=nagios --with-degrees=celsius
	make -C src
	sed '2s,^,# nagios: -epn\n,' src/plugins-scripts/check_hpasm > $@

clean::
	[ ! -f src/Makefile ] || make -C src distclean
	set -e; for i in guess sub; do if [ -e src/config.$$i.bak ]; then mv src/config.$$i.bak src/config.$$i; fi; done

=== check_uptime/Makefile ===
PLUGIN := check_uptime

include ../common.mk

=== check_ssl_cert/check_ssl_cert-1.83.0/Makefile ===
PLUGIN=check_ssl_cert
VERSION=`cat VERSION`
DIST_DIR=$(PLUGIN)-$(VERSION)
DIST_FILES=AUTHORS COPYING ChangeLog INSTALL Makefile NEWS README.md TODO VERSION $(PLUGIN) $(PLUGIN).spec COPYRIGHT ${PLUGIN}.1 test
YEAR=`date +"%Y"`

dist: version_check
	rm -rf $(DIST_DIR) $(DIST_DIR).tar.gz
	mkdir $(DIST_DIR)
	cp -r $(DIST_FILES) $(DIST_DIR)
	tar cfz $(DIST_DIR).tar.gz  $(DIST_DIR)
	tar cfj $(DIST_DIR).tar.bz2 $(DIST_DIR)

install:
	mkdir -p $(DESTDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)
	mkdir -p ${MANDIR}/man1
	install -m 644 ${PLUGIN}.1 ${MANDIR}/man1/

version_check:
	grep -q "VERSION\ *=\ *[\'\"]*$(VERSION)" $(PLUGIN)
	grep -q "^%define\ version\ *$(VERSION)" $(PLUGIN).spec
	grep -q -- "- $(VERSION)-" $(PLUGIN).spec
	grep -q "\"$(VERSION)\"" $(PLUGIN).1
	grep -q "${VERSION}" NEWS
	echo "Version check: OK"

clean:
	rm -f *~
	rm -rf rpmroot

distclean: clean
	rm -rf check_ssl_cert-[0-9]*
	rm -f *.crt
	rm -f *.error

test: dist
	( export SHUNIT2="$$(pwd)/shunit2/shunit2" && cd test && ./unit_tests.sh )

copyright_check:
	grep -q "(c) Matteo Corti, 2007-$(YEAR)" README.md
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti" COPYRIGHT
	grep -q "Copyright (c) 2007-$(YEAR) Matteo Corti <matteo@corti.li>" $(PLUGIN)
	echo "Copyright year check: OK"

rpm: dist
	mkdir -p rpmroot/SOURCES rpmroot/BUILD
	cp $(DIST_DIR).tar.gz rpmroot/SOURCES
	rpmbuild --define "_topdir `pwd`/rpmroot" -ba check_ssl_cert.spec



.PHONY: install clean test rpm distclean

=== debian/control ===
--- 
+++ 
@@ -143,7 +143,7 @@
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
      - Detecting SCSI devices or hosts with lsscsi
-   * check_rbl (1.4.3): plugin to check if a server is blacklisted
+   * check_rbl (1.4.4): plugin to check if a server is blacklisted
    * check_redis (0.73): Redis Server check plugin
      This plugin checks Redis NoSQL database status variables,
      measures its response time and if specified allows one to set thresholds
@@ -169,7 +169,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (1.81.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.83.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
 Depends: cups, libdate-manip-perl, libmonitoring-plugin-perl | libnagios-plugin-perl, libnet-cups-perl, @
 Test-Command: /usr/lib/nagios/plugins/check_cups -H localhost
 Restrictions: needs-root, isolation-container
+
+Depends: debsecan, @
+Test-Command: /usr/lib/nagios/plugins/check_debsecan -f 9998 -F 9999 -o 9998 -O 9999 -l 9998 -L 9999 -m 9998 -M 9999 -u 9998 -U 9999 -r
 
 Depends: libnet-dns-perl, @
 Test-Command: echo "127.0.0.1 localhost" > /etc/hosts && /usr/lib/nagios/plugins/check_etc_hosts
@@ -19,6 +22,9 @@
 Depends: lsof, libyaml-syck-perl, @
 Test-Command: /usr/lib/nagios/plugins/check_libs
 
+Restrictions: needs-root
+Test-Command: /usr/lib/nagios/plugins/check_libs_ng
+
 Depends: openssl, curl, file, @
 Test-Command: /usr/lib/nagios/plugins/check_ssl_cert -H www.debian.org

## nagios-plugins-contrib 25.20191015+1

=== debian/changelog ===
nagios-plugins-contrib (25.20191015+1) unstable; urgency=medium


  * [f16daf5] d/gbp.conf: Use new config file section syntax

 -- Jan Wagner <waja@cyconet.org>  Tue, 15 Oct 2019 13:22:33 +0200

nagios-plugins-contrib (25.20191015) unstable; urgency=medium

  * [17f84ce] check_rbl: Update to 1.5.0 (Closes: 929869)
  * [20d535f] check_ssl_cert: Update to 1.85.0
  * [660cd8d] d/p/check_rbl/additional_rbls: Remove blackholes.intersil.net
  * [43eac14] check_memcached: pkg-config is needed at buildtime
  * [ff0d7e1] Remove check_varnish
  * [104a97a] Update tests
  * [6eea9df] Update copyright
  * [ecc9a02] Update control
  * [3c4fe8c] check_printer: Fixing command definition (Closes: 923808)
  * [674775d] check_ssl_cert: Update to 1.96.0
  * [c0cec30] d/control.in: Bump Standards-Version to 4.4.1.0, no changes needed
  * [ad53eec] Update control
  * [54902b8] check_ssl_cert: Update to 1.97.0
  * [034e05c] dsa/checks/dsa-check-packages: Typo fix
  * [90938b9] dsa/checks/dsa-check-soas: Fix error when not 1 record is returned
  * [f8b56c7] dsa/checks/dsa-check-statusfile: Port to python3
  * [c93caae] check-running-kernel: Fixing sorting issues (Closes: #884328)
  * [d23f279] check_ssl_cert: Update to 1.98.0
  * [06f8526] Adding d/p/check_haproxy_stats/socket (Closes: #888495)
  * [c8e4991] check_ssl_cert: Update control file to version 1.98.0
  * [1e3e13e] d/control: Update

 -- Jan Wagner <waja@cyconet.org>  Tue, 15 Oct 2019 09:24:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                python,
                python-debian,
                quilt (>= 0.46-7),
-               autotools-dev, flex, libmemcached-dev [!hurd-i386], libvarnishapi-dev [!hurd-i386 !m68k], pkg-config, automake-1.15
-Standards-Version: 4.3.0
+               autotools-dev, flex, libmemcached-dev [!hurd-i386], pkg-config
+Standards-Version: 4.4.1.0
 Vcs-Git: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib.git
 Vcs-Browser: https://salsa.debian.org/nagios-team/pkg-nagios-plugins-contrib
 
@@ -143,7 +143,7 @@
      - Solaris software RAID via metastat
      - Areca SATA RAID Support via cli64/cli32
      - Detecting SCSI devices or hosts with lsscsi
-   * check_rbl (1.4.4): plugin to check if a server is blacklisted
+   * check_rbl (1.5.0): plugin to check if a server is blacklisted
    * check_redis (0.73): Redis Server check plugin
      This plugin checks Redis NoSQL database status variables,
      measures its response time and if specified allows one to set thresholds
@@ -169,7 +169,7 @@
      HOST-RESOURCES-MIB::hrSystemDate.0 used here returns 8 or 11 byte octets.
      SNMP translation needs to be switched off and to be converted the
      received SNMP data into readable strings.
-   * check_ssl_cert (1.83.0): plugin to check the CA and validity of an
+   * check_ssl_cert (1.98.0): plugin to check the CA and validity of an
      X.509 certificate
    * check_uptime (0.521): check_uptime returns uptime of a system
      in text (readable) format as well as in minutes for performance graphing.
@@ -182,7 +182,6 @@
      the wrapper return value, that is, result will be OK only if all checks
      returned OK.  Compatible with any plugin with standard command line options
      -6/-4.
-   * check_varnish (672523d): plugin to monitor varnish instances
    * check_webinject (1.80): plugin for testing web services
      It uses the WebInject Perl module for automated testing of
      web applications and web services. It can be used to check
@@ -197,3 +196,6 @@
      for a given zone remain in sync.
    * check_zone_rrsig_expiration (1.14): plugin to check for expiration of
      signatures in dnssec-enabled zones.
+   * dsa (2300473): plugins from the Debian System Administrators
+     nagios plugins repository.
+     * check_cert_expire: check for certificate expiration
